Page MenuHomePhabricator

Enable LocalisationUpdate extension on Incubator
Closed, ResolvedPublic

Description

Please enable the [[mw:Extension:LocalisationUpdate]] extension on Wikimedia Incubator, with automatic updates.
Community discussion was at [[incubator:Incubator:Community_Portal#LocalisationUpdate]] and the only issue is stability, so please enable it when it is stable enough.

Thanks.


Version: unspecified
Severity: enhancement

Details

Reference
bz19312

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:37 PM
bzimport added projects: Deployments, Shell.
bzimport set Reference to bz19312.
SPQRobin created this task.Jun 20 2009, 6:34 PM
brion added a comment.Jun 23 2009, 1:53 AM

Assigning to myself for review.

Suggest WONTFIX. The extension uses hooks to do a DB query on every wfMsg() call, this would be excessively slow. HTTP fetches are done by a cron job. It would be simpler and more efficient to put this in the cron job instead:

find -name \*.i18n.php -or -name Messages\*.php -exec svn up
scap

(In reply to comment #2)

Suggest WONTFIX. The extension uses hooks to do a DB query on every wfMsg()
call, this would be excessively slow.

Good point. It should probably hook into message loading and load all (relevant) messages from the DB then. That'd reduce it to one query at initialization and one for every unique wfLoadExtensionMessages() call.

HTTP fetches are done by a cron job. It
would be simpler and more efficient to put this in the cron job instead:

find -name \*.i18n.php -or -name Messages\*.php -exec svn up
scap

I don't know a lot about this, but from what GerardM told me I understand that the current code only updates messages whose English equivalent hasn't changed (will ask Gerard whether this is correct), so a simple svn up wouldn't work.

brion added a comment.Jul 13 2009, 6:41 PM

Reassigning to Tim for further cleanup on the ext.

Has been since cleaned up. Now running!

greg moved this task from To Triage to Done on the Deployments board.Jan 8 2015, 5:41 PM